# Install Party Garage

Date: Samedi 29 Mai 2021 de 15h à 19h (passez quand vous pouvez/voulez)

Lieu : En ligne, sur Jitsi, https://jitsi.deuxfleurs.fr/garage

Points de contact :   

  - Sur le salon Matrix #tech:deuxfleurs.fr
  - Par email à Quentin - quentin (arobase) deuxfleurs (point) fr


## Présentation de Garage

<p style="text-align: center">
<a href="https://garagehq.deuxfleurs.fr">
<img alt="Garage logo" src="https://garagehq.deuxfleurs.fr/img/logo.svg" height="150" style="box-shadow: 0px 0px"/>
</a>
</p>

Pour gérer de grands volumes de données de manière sûres, des solutions comme Ceph, Openstack Swift, ou encore Minio proposent de distribuer ces dernières sur plusieurs serveurs. Ces logiciels ont actuellement une limite importante : le matériel et le réseau doivent s'adapter à leurs contraintes. 

Avec Garage, nous inversons cette logique : c'est **Garage qui s'adapte à votre matériel**.
L'idée c'est de pouvoir ajouter ou enlever à peu près n'importe quelle machine, comme une vieille tour qui dort dans une armoire, depuis n'importe où à un cluster.

<!-- Pour comprendre les raisons qui nous ont poussé à développer Garage, on peut se référer à la définition du *hacking* de [Shoshana Zuboff](https://cryptome.org/2015/07/big-other.pdf) :

*[Le hacking consiste] à libérer les affordances [càd capacité d'agir, d'avoir un impact] des logiques insititutionnelles dans lesquelles elles sont bloquées et de les redistribuer dans des configurations alternatives pour des nouveaux objectifs*

C'est à notre avis ce qui différencie Garage des autres solutions de stockage de données,
nous voulons aborder le stockage de données en dehors de la vision industrielle.

Cela fait maintenant un an que nous développons ce logiciel et le logiciel commence à prendre forme.
Nous l'utilisons en production, et pour preuve, le site que vous voyez est directement servi par Garage.-->

Intéressé·e ? [Accédez à notre documentation technique](https://garagehq.deuxfleurs.fr)

## Comment va se dérouler l'évènement ?

<p align="center" style="text-align:center;">
<img src="img/hack.webp" />
</p>



L'évènement se déroulera en ligne sur un après-midi.
Des développeur·euses de Garage seront présents pour vous aider, répondre à vos questions et collecter des pistes d'amélioration.
Plus exactement, nous vous guiderons dans les étapes suivantes :
  - Télécharger et installer Garage sur votre machine
  - Le configurer pour qu'il puisse communiquer avec les instances des autres participants
  - Configurer les outils pour pouvoir intéragir avec Garage

Si le temps le permet, on pourra pousser plus loin comme :
  - Configurer Nextcloud pour utiliser Garage
  - Comment héberger un site web sur Garage
  - etc.


## Pré-requis

<p align="center" style="text-align:center;">
<img src="img/check.webp" />
</p>

Pour que l'expérience se déroule dans des conditions optimales pour vous, nous vous recommandons d'avoir :
  - Une machine (virtuelle ou physique) sous Linux dédiée comme un Raspberry Pi.
  - Au moins 10Go d'espace disque de libre pour être large.
  - Une connexion Internet ADSL/LTE/Coaxial/Fibre correcte (pas trop de perte de paquets, min 1 Mbit/s up, min 8 Mbit/s down). Pas besoin d'avoir la main sur le NAT, nous utiliserons [yggdrasil](https://yggdrasil-network.github.io/)

*Note : Si vous voulez tester Garage sur un autre OS que Linux, votre contribution sera bienvenue mais nous ne pourrons peut-être pas vous dépanner.*

## Autre

Nous ne publions pas encore de binaire officiellement.
Pour cette session, afin d'éviter la compilation, nous mettons à disposition les binaires pour les architectures suivantes :
- [aarch64](https://garagehq.deuxfleurs.fr/_releases/v0.3.0/aarch64-unknown-linux-gnu/garage) - (exemple Helios64)
- [x86\_64](https://garagehq.deuxfleurs.fr/_releases/v0.3.0/x86_64-unknown-linux-gnu/garage) - (exemple votre PC fixe ou portable)
- [armv7](https://garagehq.deuxfleurs.fr/_releases/v0.3.0/armv7-unknown-linux-gnueabihf/garage) - (exemple Raspberry Pi 3)
- [arm](https://garagehq.deuxfleurs.fr/_releases/v0.3.0/arm-unknown-linux-gnueabi/garage) - (pas d'exemple pour le moment)

Pour Yggdrasil, nous utiliserons la dernière version publiée soit la 0.3.16 dont les [binaires sont sur Github](https://github.com/yggdrasil-network/yggdrasil-go/releases/tag/v0.3.16).

Nous vous aiderons pour la configuration d'Yggdrasil ! Des infos sont trouvables sur le pad dont le lien vous sera communiqué sur le salon Matrix ou lorsque vous rejoindrez Jitsi.
