# Infrastructure

## Physique

Un site est constitué de l'ensemble du matériel à un lieu donné géré par une (ou plusieurs) personne donnée.
Le lieu géographique peut évoluer dans le temps, comme par exemple lors d'un déménagement.
Le nommage du site est donc arbitraire, nous recommandons le choix d'un corps céleste, tout aussi étrange soit-il.
Ce découpage en sites est important pour certaines de nos applications.

### 🐢 atuin.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Alex et Quentin |
| Hébergement | 🏡 Quentin |
| Région | Bretagne |
| FAI | Free - 1Gbps, ✅ IPv4 publique, ✅ IPv4 fixe, ✅ IPv6 publique, ✅ IPv6 fixe, ✅ SMTP, ❌ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| Lenovo Thinkcentre M82 | Serveur | x3 | Intel G3420 @ 3.20GHz (2 cœurs), 8Go RAM, 128GB SSD, 1TB HDD | ![photo serveur](img/lenovo.jpg)
| Freebox Mini 4k | Routeur | x1 | 4 ports @ 1Gbit/s, WAN Fibre 1 Gbit/s symétrique |![photo freebox](img/fbx.jpg)

Services hébergés :

| Service | Description |
| -- | -- |
| [deuxfleurs.fr](https://deuxfleurs.fr) | Site principal de Deuxfleurs |
| [garagehq.deuxfleurs.fr](https://garagehq.deuxfleurs.fr) | Site web de Garage |
| [Synapse](https://im.deuxfleurs.fr) | Serveur Matrix |
| [Element](https://riot.deuxfleurs.fr) | Client web pour Matrix |
| [Jitsi](https://jitsi.deuxfleurs.fr) | Service de visioconférence |
| [SoGo](https://sogo.deuxfleurs.fr) | Client mail SoGo |
| [Alps](https://alps.deuxfleurs.fr) | Client mail Alps (plus léger) |
| [Plume](https://plume.deuxfleurs.fr) | Blog collaboratif et fédéré |
| [Platôo](https://platoo.deuxfleurs.fr) | Jeux de plateau en ligne |
| [Drone](https://drone.deuxfleurs.fr) | Serveur d'intégration continue |
| [Garage](https://garage.deuxfleurs.fr) | Serveur de stockage de données |

### ⚔️  mars.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Adrien (et Quentin) |
| Hébergement | 🏢 Gandi |
| Région | Île-de-France |
| FAI | Gandi -  ✅ IPv4 publique, ✅ IPv4 fixe, ❓ IPv6 publique, ❓ IPv6 fixe, ❓ SMTP, ❓ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| VPS | Serveur | x1 | 1 vCPU, 3Go RAM, 70 GB Block Storage | N/A |

Services hébergés :

| Service | Description |
| -- | -- |
| [Gitea](https://git.deuxfleurs.fr) | Forge logicielle |

### 🪐 saturne.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Alex |
| Hébergement | 🏢 Kimsufi (filiale d'OVH) |
| Région | Hauts-de-France |
| FAI | OVH - ✅ IPv4 publique, ✅ IPv4 fixe, ✅ IPv6 publique, ✅ IPv6 fixe, ✅ SMTP, ✅ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| Kimsufi | Serveur | x1 | Intel Atom N2800 @ 1.86Ghz (4 cœurs), 4Go RAM, 2TB HDD, réseau 100Mbit/s | N/A |

Services hébergés :

| Service | Description |
| -- | -- |
| [Cryptpad](https://p.adnab.me) | Suite bureautique chiffrée de bout en bout |

### ✉️  mercure.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Quentin et Maximilien |
| Hébergement | 🏡 Maximilien |
| Région | Île-de-France |
| FAI | Free 10Gbps/700Mbps - ✅ IPv4 publique, ✅ IPv4 fixe, ✅ IPv6 fixe, ✅ IPv6 publique, ❌ SMTP, ❌ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| [Microtik RB4011iGS+RM](https://mikrotik.com/product/rb4011igs_rm) | Routeur | x1 | Routeur et pare-feu, ports 1x10G SFP+ et 10x1G | TBA |
| Serveur Dell R710  | Hyperviseur | x3 | 2 socket, Xeon E5520 (4c8t @ 2.26Ghz), 80Go RAM, 500GB NVMe, 1TB RAID matériel, réseau LACP 2x1G | TBA |
| metro.mercure.site | LXC | x1 | 2 CPU, 2Go RAM, 25 GB NVMe | N/A |
| bkp.mercure.site | VM | x1 | 4 vCPU, 8Go RAM, 40 GB Block Storage | N/A |

Services hébergés :

| Service | Description |
| -- | -- |
| [Grafana](https://grafana.home.mricher.fr) | Interface de monitoring de l'infrastructure |
| | Target de backups (Consul) |

### ☁️  bespin.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Quentin et Maximilien |
| Hébergement | 🏡 Maximilien |
| Région | 🇧🇪 Belgique |
| FAI | Telenet 1Gbps/40Mbps - ✅ IPv4 publique, (✅) IPv4 fixe, (✅) IPv6 fixe, ✅ IPv6 publique, ❌ SMTP, ❌ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| Tour récente | Hyperviseur | x1 | 4 CPU @ 4.3Ghz (i5-3570k), 16Go RAM, 2xSSD 500GB RAID1, 6 HDD 4TB RAID6 (14Tio utile) | N/A |
| drone-runner.bespin.site | VM | x1 | 4 vCPU, 6Go RAM, 40Go SSD | N/A |

| Service | Description |
| -- | -- |
| Drone (runner) | Worker pour l'intégration continue |

### ♃ jupiter.site

Informations générales :

| Caractéristiques | Détails |
| --: | :-- |
| Administration | Alex et Quentin |
| Hébergement | 🏡 Alex |
| Région | Bretagne |
| FAI | SFR - ✅ IPv4 publique, ✅ IPv4 fixe, ✅ IPv6 fixe, ✅ IPv6 publique, (✅) SMTP, ❌ Reverse DNS |

Liste du matériel :

| Désignation | Rôle | Quantité | Détails | Image |
| -- | -- | -- | -- | -- |
| Tour un peu vieille | Serveur | x1 | 4 cœurs, 4Go RAM, SSD 250Go + HDD 2To | [ici](img/io.jpg) |
| Box SFR | Routeur | x1 | NB6VAC-FXC-r0 | N/A |

Services hébergés :

| Service | Description |
| -- | -- |
| Garage | Serveur de stockage de données |

## Réseau

## Logiciel
